/*
 ┌─┐┬─┐┌─┐┌─┐┬┌┬┐┌─┐┌┬┐┬┌─┐
 │ ┬├┬┘├─┤├┤ ││││├┤  │││├─┤
 └─┘┴└─┴ ┴└  ┴┴ ┴└─┘─┴┘┴┴ ┴
 Author: Luigi Rivoltella
 Copyright: 2026 Grafimedia S.r.l. - All rights reserved
 License: Commercial
 Filename: site/templates/hybrid/items/css/flyer_sidepanel.css
 Last modified: 24-02-2026 11:28:10
 */

/* SPECIAL INTEGRATION FOR FLYER_WITH_SUMMARY TEMPLATE */
/* SPECIAL INTEGRATION FOR FLYER_WITH_SUMMARY TEMPLATE */

/* CSS Document */

/* .tags {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap:5px;
} */
    /* .tags .tag {
      background-color: rgba(0,0,0,0.05);
      border: 1px solid rgba(0,0,0,0.25);

      color: black;
      padding: 0 0 0 0.5em;
      text-align: left;
      text-decoration: none;
      cursor: pointer;
      border-radius:0.5em;
      transition: all 200ms;
      max-width: 50%;
      flex-grow:1;
      margin-bottom:5px;

      color: #717171;
    } */
    .tags .tag .tagBadge {
      transition: all 300ms;
      display: block;
      text-align:center;
      min-width:2em;
      float:right;
      font-size: 75%;
      /* font-weight: 700; */
      background-color: rgba(0,0,0,0.1);
      color:#FFF;
      padding:0.05em 0.5em;
      border-radius: 0 0.5em 0.5em 0;
    }
    .tags .tag .tagTitle {
      transition: all 300ms;
      /* font-weight: bold; */
      font-size: 0.9em;
      /* letter-spacing: -0.05em; */
      padding-right:0.5em;
    }
    .tags .tag:hover {
      background-color: rgba(0,0,0,0.25);
      color:#FFF;
    }

    #sommario_p .tags  {
      /* flex-direction: column; */
      gap:0px;
      flex-basis:100%;
    }
    body.isPhone #sommario_p .tags  {
      font-size:1.5em;
    }

    #sommario_p .tags .tag {
    max-width: 100%;
    flex-basis: 100%;
    padding: 0.75em 0.25em;
    border-bottom: 1px solid rgba(0,0,0,0.25);
    margin-bottom: 0 ;
    border-radius: 0;
    }
    #sommario_p .tags .tagBadge {
      border-radius: 0.5em;
    }



 .plist .pCoverImage {}

 .plist .pIntro {
  padding: 1.5em 1em;
  text-align:center;
}

  .plist .pInnerDiv {
  display:flex;
  flex-flow:row;
  justify-content:stretch;
  align-items:flex-start;
  padding:10px 0;
  border-bottom:1px solid rgba(0,0,0,0.05);
 }

 .plist .pImageDiv {
  min-width: 120px;
  display: block;
  height: 120px;
  background-size: contain;
  background-repeat: no-repeat;
  background-color: #e7e7e7;
  background-size: 100%;
  background-position: center center;
  border-radius: 20px;
  margin-top:10px;
 }

 body.isPhone .plist .pImageDiv {
  min-width: 60px;
  display: block;
  height: 60px;
  border-radius: 10px;
 }

 .plist .pImageText {}

 .plist .pBadge {
  background-color:red;
  margin: 0;
  padding: 4px 7px;
  font-size:0.8em;
  line-height: 1em;
}

 .plist .pContents {
  display:flex;
  flex-flow:column;
  align-items: flex-start;
  padding: 10px;
  margin-right: auto;
  text-align:left;
 }

 .plist .pMktgDiv {}
 .plist .pMktgDiv img {height:1.5em;width:auto;}

.plist .pProductName {}

.plist .pDetails {
  font-size: 0.6em;
  line-height: 1.2em;
  padding-top: 0.5em;
}

 .plist .pProductName h4{
  margin:0;
  padding:0
}

.plist .pAction{
  padding-top:0.3em;
}

.plist .pActionAdd{
  cursor:pointer;
  line-height:1em;
}

.plist .pPrice {
  text-align:right;
  padding:10px 20px 10px 10px;
}

.plist .pPrice span.sign {
  font-size:1.6em;
  font-weight:600;
}

.plist .pPrice span.p1 {
  font-size:2.5em;
  font-weight:800;
}

.plist .pPrice span.p2 {
  font-size:2em;
  font-weight:600;
}

body.isPhone .plist .pPrice span.sign {
  font-size:1em;
}

body.isPhone .plist .pPrice span.p1 {
  font-size:1.4em;
}

body.isPhone .plist .pPrice span.p2 {
  font-size:1.2em;
}

/* body.isPhone #sommario {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #f0f0f0;
  border-bottom: 1px solid #ccc;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  z-index: 1000;
}
#linguetta {
  position: absolute;
  top: 0;
  left: 0;
  padding: 10px;
  background-color: #007bff;
  color: white;
  cursor: pointer;
  z-index: 1001;
} */

#sommario_p {
  display: block;
  position: fixed;
  top: 0;
  right: -300px;
  height: 100%;
  width: 300px;
  background-color: rgba(255, 255, 255, 0.7);
  box-shadow: -4px 0 10px rgba(0, 0, 0, 0.2);
  z-index: 10000000;
  overflow-y: auto;
  transition: box-shadow 0.3s ease;
}
body.isPhone #sommario_p {
  right: -70%;
  width:70%;
}

#linguetta {
  position: fixed;
  top: 20%;
  right: 0;
  transform: translateY(-50%);
  padding: 10px 3px 10px 7px;
  background-color: #FF0000;
  color: #FFFFFF;
  cursor: pointer;
  z-index: 10000001;
  writing-mode: vertical-rl;
  text-orientation: mixed;
  border-radius: 1em 0 0 1em;
  box-shadow: -4px 0 10px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease;
  font-size: 0.8em;
  letter-spacing: 0.1em;
}
